Overview | Project | Class | Tree | Deprecated | Index
| Nestopia Core API
FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## api
Struct Nes::Api::Video::Decoder

struct Nes::Api::Video::Decoder

YUV decoder context.

Field Summary
`[ NUM_AXES ]` | `axes`
`bool` | `boostYellow`

Constructor Summary
`Decoder( DecoderPreset preset = DECODER_CANONICAL )` Constructor.

Method Summary
`bool` | `operator!=( const Decoder& decoder ) const` Tests for non-equality.
`bool` | `operator==( const Decoder& decoder ) const` Tests for equality.

Field Detail

### axes

    public  axes[ NUM_AXES ];

### boostYellow

    public bool boostYellow;

Constructor Detail

### Decoder

    public Decoder( DecoderPreset preset = DECODER_CANONICAL ) throw();

  Constructor.

Parameters:
  `preset` - preset, canonical by default

Method Detail

### operator!=

    public bool operator!=( const Decoder& decoder ) const throw();

  Tests for non-equality.

Parameters:
  `decoder` - object to compare
Returns:
  true if non-equal

### operator==

    public bool operator==( const Decoder& decoder ) const throw();

  Tests for equality.

Parameters:
  `decoder` - object to compare
Returns:
  true if equal

Overview | Project | Class | Tree | Deprecated | Index
| Nestopia Core API
FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD